Cyberduck Mountain Duck CLI

Opened 2 months ago

Closed 3 weeks ago

#10333 closed defect (wontfix)

Old files still show after deleting

Reported by: csc1853 Owned by: dkocher
Priority: normal Milestone:
Component: s3 Version: 6.5.0
Severity: normal Keywords:
Cc: Architecture:
Platform: macOS 10.13

Description

If we move a file or delete anything, it is still showing. Random files appear everywhere in our lists. This didn't happen with older version, only after an update 3 or 4 versions ago.

Attachments (1)

Screen Shot 2018-06-04 at 11.42.17 AM.png (85.7 KB) - added by csc1853 6 weeks ago.
screen shot - see comment from 6/4/18 at 11:47 a.m.

Download all attachments as: .zip

Change History (8)

comment:1 Changed 8 weeks ago by dkocher

What protocol do you use? Please post the transcript from the log drawer (⌘-L).

comment:2 Changed 8 weeks ago by csc1853

GET /?max-keys=1000&versions&prefix=pr1a%2F&delimiter=%2F HTTP/1.1
Date: Fri, 25 May 2018 12:46:07 GMT
x-amz-request-payer: requester
x-amz-content-sha256: e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855
Host: csccomm.s3.amazonaws.com
x-amz-date: 20180525T124607Z
Authorization: ********
Connection: Keep-Alive
User-Agent: Cyberduck/6.5.0.27854 (Mac OS X/10.13.4) (x86_64)
HTTP/1.1 200 OK
x-amz-id-2: et6+iwJvkKYtixqpvi8LyZbEYSMtl3mCv99dGzXUNELet7iBEDup5/JydVTUa7UIQFR1vx1PrAI=
x-amz-request-id: 6D17D14074031D9F
Date: Fri, 25 May 2018 12:46:09 GMT
Content-Type: application/xml
Transfer-Encoding: chunked
Server: AmazonS3
GET /?prefix=pr1a%2F&uploads HTTP/1.1
Date: Fri, 25 May 2018 12:46:08 GMT
x-amz-request-payer: requester
x-amz-content-sha256: e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855
Host: csccomm.s3.amazonaws.com
x-amz-date: 20180525T124608Z
Authorization: ********
Connection: Keep-Alive
User-Agent: Cyberduck/6.5.0.27854 (Mac OS X/10.13.4) (x86_64)
HTTP/1.1 200 OK
x-amz-id-2: O97cUBnInSQrcQkbNVD6KbpsPYgMyV1ucq/BKeoZVk8BB23oXZ9ljpiBQlPWEBzH2yXDxNHv+14=
x-amz-request-id: 4C5E9DEDA91DA221
Date: Fri, 25 May 2018 12:46:09 GMT
Content-Type: application/xml
Transfer-Encoding: chunked
Server: AmazonS3

Last edited 3 weeks ago by dkocher (previous) (diff)

comment:3 Changed 8 weeks ago by csc1853

GET /?max-keys=1000&versions&prefix=pr1a%2F&delimiter=%2F HTTP/1.1
Date: Fri, 25 May 2018 12:46:07 GMT
x-amz-request-payer: requester
x-amz-content-sha256: e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855
Host: csccomm.s3.amazonaws.com
x-amz-date: 20180525T124607Z
Authorization: ********
Connection: Keep-Alive
User-Agent: Cyberduck/6.5.0.27854 (Mac OS X/10.13.4) (x86_64)
HTTP/1.1 200 OK
x-amz-id-2: et6+iwJvkKYtixqpvi8LyZbEYSMtl3mCv99dGzXUNELet7iBEDup5/JydVTUa7UIQFR1vx1PrAI=
x-amz-request-id: 6D17D14074031D9F
Date: Fri, 25 May 2018 12:46:09 GMT
Content-Type: application/xml
Transfer-Encoding: chunked
Server: AmazonS3
GET /?prefix=pr1a%2F&uploads HTTP/1.1
Date: Fri, 25 May 2018 12:46:08 GMT
x-amz-request-payer: requester
x-amz-content-sha256: e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855
Host: csccomm.s3.amazonaws.com
x-amz-date: 20180525T124608Z
Authorization: ********
Connection: Keep-Alive
User-Agent: Cyberduck/6.5.0.27854 (Mac OS X/10.13.4) (x86_64)
HTTP/1.1 200 OK
x-amz-id-2: O97cUBnInSQrcQkbNVD6KbpsPYgMyV1ucq/BKeoZVk8BB23oXZ9ljpiBQlPWEBzH2yXDxNHv+14=
x-amz-request-id: 4C5E9DEDA91DA221
Date: Fri, 25 May 2018 12:46:09 GMT
Content-Type: application/xml
Transfer-Encoding: chunked
Server: AmazonS3
GET /?max-keys=1000&versions&prefix=Matriculation%20Ceremony%202017%2F&delimiter=%2F HTTP/1.1
Date: Fri, 25 May 2018 12:52:57 GMT
x-amz-request-payer: requester
x-amz-content-sha256: e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855
Host: csccomm.s3.amazonaws.com
x-amz-date: 20180525T125257Z
Authorization: ********
Connection: Keep-Alive
User-Agent: Cyberduck/6.5.0.27854 (Mac OS X/10.13.4) (x86_64)
HTTP/1.1 200 OK
x-amz-id-2: 9uZoYQAkYklZ0P2nmvjrTZvFK3nLXRRdFN3tINnY7m4/XF7rmuhTau3e1d9hU0vNrp9QmOj0QuA=
x-amz-request-id: 1AB0585696E5647A
Date: Fri, 25 May 2018 12:52:59 GMT
Content-Type: application/xml
Transfer-Encoding: chunked
Server: AmazonS3
GET /?max-keys=1000&versions&prefix=Matriculation%20Ceremony%202017%2F&delimiter=%2F&version-id-marker=10i1A5gXTFX9pROETs2JjajXTLmex0XX&key-marker=Matriculation%20Ceremony%202017%2FIMG_9328.JPG HTTP/1.1
Date: Fri, 25 May 2018 12:52:58 GMT
x-amz-request-payer: requester
x-amz-content-sha256: e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855
Host: csccomm.s3.amazonaws.com
x-amz-date: 20180525T125258Z
Authorization: ********
Connection: Keep-Alive
User-Agent: Cyberduck/6.5.0.27854 (Mac OS X/10.13.4) (x86_64)
HTTP/1.1 200 OK
x-amz-id-2: UrXxI2w2f0ZsQl65VZ3GFXBvXnxdhta8w2wz36m75mN6uKaSIj66qCF3YCBldISZeQUfRFvrAEM=
x-amz-request-id: 39533EC4B47422AA
Date: Fri, 25 May 2018 12:52:59 GMT
Content-Type: application/xml
Transfer-Encoding: chunked
Server: AmazonS3
GET /?prefix=Matriculation%20Ceremony%202017%2F&uploads HTTP/1.1
Date: Fri, 25 May 2018 12:52:59 GMT
x-amz-request-payer: requester
x-amz-content-sha256: e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855
Host: csccomm.s3.amazonaws.com
x-amz-date: 20180525T125259Z
Authorization: ********
Connection: Keep-Alive
User-Agent: Cyberduck/6.5.0.27854 (Mac OS X/10.13.4) (x86_64)
HTTP/1.1 200 OK
x-amz-id-2: MrA0luE87b2tqOeSt9BFV3DOoODiackGjZLWRqLmUwiNy6Gem/0Ou05+4AI6kpedcippS7Bn0q8=
x-amz-request-id: E64DC74EB0C39AA3
Date: Fri, 25 May 2018 12:53:00 GMT
Content-Type: application/xml
Transfer-Encoding: chunked
Server: AmazonS3
GET / HTTP/1.1
Date: Fri, 25 May 2018 12:53:03 GMT
x-amz-request-payer: requester
x-amz-content-sha256: e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855
Host: s3.amazonaws.com
x-amz-date: 20180525T125303Z
Authorization: ********
Connection: Keep-Alive
User-Agent: Cyberduck/6.5.0.27854 (Mac OS X/10.13.4) (x86_64)
HTTP/1.1 200 OK
x-amz-id-2: 6roAP6tCZhnbaCeWHyFf/d7XfaMQ9ZEu79jjwGInOaLNe3WJqBePxUlUGU5a49UYUQBBY+zKSqU=
x-amz-request-id: AF691AAE9349C928
Date: Fri, 25 May 2018 12:53:04 GMT
Content-Type: application/xml
Transfer-Encoding: chunked
Server: AmazonS3

Last edited 3 weeks ago by dkocher (previous) (diff)

Changed 6 weeks ago by csc1853

screen shot - see comment from 6/4/18 at 11:47 a.m.

comment:4 Changed 3 weeks ago by dkocher

  • Component changed from core to s3
  • Owner set to dkocher

comment:5 Changed 3 weeks ago by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

You have versioning enabled for the bucket and deleting files will only add a delete marker but not actually remove files. You can browse these files if you have View → Show Hidden Files selected – the browser will then show all versions of a file (rendered with a light gray instead of solid black font).

comment:6 Changed 3 weeks ago by csc1853

  • Resolution worksforme deleted
  • Status changed from closed to reopened

Thank you for your feedback. However, the Show Hidden Files option is not checked and when I select that I get a lot more listing in the grayed out color as you noted. We still have several folders that are not actually there showing in the bucket.

comment:7 Changed 3 weeks ago by csc1853

  • Resolution set to wontfix
  • Status changed from reopened to closed
Note: See TracTickets for help on using tickets.
swiss made software